Results 1 to 7 of 7

Thread: [SOLVED] GPG error

  1. #1
    Join Date
    May 2008
    Location
    Cape Town, South Africa
    Beans
    Hidden!

    [SOLVED] GPG error

    I was wondering if anyone can give me a hand:

    I have been updating from Intrepid Beta through to Final and all has been smooth sailing, except for the last few days I have been getting the following error:

    W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used.GPG error: http://security.ubuntu.com intrepid-security Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>

    W: Failed to fetch http://security.ubuntu.com/ubuntu/di...curity/Release

    W: Some index files failed to download, they have been ignored, or old ones used instead.
    W: You may want to run apt-get update to correct these problems
    Now running apt-get update is what gives the error, so repeating it doesn't help matters.

    Anyone have any ideas? (Sources.list below)

    #
    # deb cdrom:[Ubuntu 8.10 _Intrepid Ibex_ - Beta amd64 (20080930.4)]/ intrepid main restricted

    # deb cdrom:[Ubuntu 8.10 _Intrepid Ibex_ - Beta amd64 (20080930.4)]/ intrepid main restricted
    # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
    # newer versions of the distribution.

    deb http://archive.ubuntu.com/ubuntu/ intrepid main restricted

    ## Major bug fix updates produced after the final release of the
    ## distribution.
    deb http://archive.ubuntu.com/ubuntu/ intrepid-updates main restricted

    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    ## team, and may not be under a free licence. Please satisfy yourself as to
    ## your rights to use the software. Also, please note that software in
    ## universe WILL NOT receive any review or updates from the Ubuntu security
    ## team.
    deb http://archive.ubuntu.com/ubuntu/ intrepid universe
    deb http://archive.ubuntu.com/ubuntu/ intrepid-updates universe

    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    ## team, and may not be under a free licence. Please satisfy yourself as to
    ## your rights to use the software. Also, please note that software in
    ## multiverse WILL NOT receive any review or updates from the Ubuntu
    ## security team.
    deb http://archive.ubuntu.com/ubuntu/ intrepid multiverse
    deb http://archive.ubuntu.com/ubuntu/ intrepid-updates multiverse

    ## Uncomment the following two lines to add software from the 'backports'
    ## repository.
    ## N.B. software from this repository may not have been tested as
    ## extensively as that contained in the main release, although it includes
    ## newer versions of some applications which may provide useful features.
    ## Also, please note that software in backports WILL NOT receive any review
    ## or updates from the Ubuntu security team.
    # deb http://za.archive.ubuntu.com/ubuntu/ intrepid-backports main restricted universe multiverse
    # deb-src http://za.archive.ubuntu.com/ubuntu/ intrepid-backports main restricted universe multiverse

    ## Uncomment the following two lines to add software from Canonical's
    ## 'partner' repository. This software is not part of Ubuntu, but is
    ## offered by Canonical and the respective vendors as a service to Ubuntu
    ## users.
    deb http://archive.canonical.com/ubuntu intrepid partner

    deb http://security.ubuntu.com/ubuntu/ intrepid-security restricted main multiverse universe
    deb http://ppa.launchpad.net/telepathy/ubuntu intrepid main
    Thanks in advance,
    Michael

  2. #2
    Join Date
    Jan 2007
    Location
    Ledbury, Herefordshire, U
    Beans
    1,071
    Distro
    Ubuntu 12.10 Quantal Quetzal

    Re: GPG error

    Is this just not a case of moving from beta to final, so they have moved the security file versioning, and you are hunting for the final, failing to get the key, and falling back to beta? My guess would be that the error lies in the authenification zone rather than the sources, as you only have what looks like the new version, but the system is trying to marry it up with the old key and then getting upset.
    Just a hunch though.

  3. #3
    Join Date
    Jun 2006
    Location
    Roanoke, VA
    Beans
    152
    Distro
    Ubuntu Development Release

    Re: GPG error

    Daveth,

    You are probably correct... would you mind explaining the proper method to delete the old key and get the new one?

    Thanks!

  4. #4
    Join Date
    Mar 2008
    Beans
    4,715
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: GPG error

    Last edited by unutbu; October 31st, 2008 at 04:21 PM.

  5. #5
    Join Date
    Jun 2005
    Location
    Arizona
    Beans
    Hidden!
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: GPG error

    Neither worked for me!

    But, this did:

    ALT + F2

    Code:
    sudo apt-get update -o Acquire::http::No-Cache=true
    Last edited by banditti; October 31st, 2008 at 07:00 PM.

  6. #6
    Join Date
    Dec 2007
    Beans
    15

    Re: GPG error

    This also worked for me!

  7. #7
    Join Date
    Mar 2007
    Beans
    2

    Re: GPG error

    Quote Originally Posted by banditti View Post
    Neither worked for me!

    But, this did:

    ALT + F2

    Code:
    sudo apt-get update -o Acquire::http::No-Cache=true


    Worked for me as well : ) i was about to go mental on this .... thanks a milion

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •